### Method

# Gimp Drawable get_shadow_buffer

since: 2.10

#### Declaration [src]

    GeglBuffer*
    gimp_drawable_get_shadow_buffer (
      GimpDrawable* drawable
    )

#### Description [src]

Returns a `GeglBuffer` of a specified drawable’s shadow tiles. The buffer can be used like any other GEGL buffer. Its data will we synced back with the core drawable’s shadow tiles when the buffer gets destroyed, or when `gegl_buffer_flush()` is called.

Available since: 2.10

#### Return value

Type: `GeglBuffer`

The `GeglBuffer`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.